<?php

App::uses('BuzzDiaryAccountsAppController', 'BuzzDiaryAccounts.Controller');

class AccountProfilesController extends BuzzDiaryAccountsAppController {

	/**
	 * List all coaches
	 * @return void
	 */
	public function index() {
		$this->paginate = [
			'contain' => [
				'Image'
			],
			'joins' => [
				[
					'table' => 'camps',
					'alias' => 'Camp',
					'type' => 'LEFT',
					'conditions' => 'AccountProfile.id = Camp.account_profile_id'
				]
			],
			'conditions' => [
				'Camp.id <>' => null
			],
			'order' => [
				'AccountProfile.display_name' => 'ASC'
			],
			'group' => [
				'AccountProfile.id'
			]
		];
		$data = $this->paginate();
		$this->set(compact('data'));
		$this->view = 'BuzzCamps./AccountProfiles/index';
		return;
	}

}
